Bug 560224 - (module-enabled) MPI_COMPILER variable contains unrecognized macro %{_cc_name_suffix}
(module-enabled) MPI_COMPILER variable contains unrecognized macro %{_cc_name...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-30 08:35 EST by Denis Arnaud
Modified: 2014-08-31 19:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: openmpi-1.4.1-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-16 08:49:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2010-01-30 08:35:57 EST
Description of problem:
The OpenMPI package installs the module-related file /etc/modulefiles/openmpi-%{_arch}, which contains the non-replaced RPM macro %{_cc_name_suffix} in the definition of the MPI_COMPILER environment variable.

Then, when the OpenMPI is loaded (e.g., 'module load openmpi-x86_64'), the MPI_COMPILER environment variable is not correctly set. It is set to 'openmpi-x86_64%{_cc_name_suffix}', where it should be set to 'openmpi-x86_64'.

Version-Release number of selected component (if applicable):
openmpi-1.3.3-6.fc12

How reproducible:
Always

Steps to Reproduce:
1. Install the OpenMPI package.
2. Load the OpenMPI module (e.g., 'module load openmpi-x86_64')
3. 'echo $MPI_COMPILER' => 'openmpi-x86_64%{_cc_name_suffix}'
  
Actual results:
The RPM macro %{_cc_name_suffix} has not been replaced during the RPM package build process.

Expected results:
'echo $MPI_COMPILER' => 'openmpi-x86_64'

Additional info:
Simply adding a '?' (question mark) should do the trick, i.e., replacing 'openmpi-x86_64%{_cc_name_suffix}' by 'openmpi-x86_64%{?_cc_name_suffix}'
I've had a look at the openmpi.spec, and all seems fine, though. So, I do not understand why that question mark ('?') does not appear in the generated module file.
Comment 1 Jay Fenlason 2010-02-10 12:18:20 EST
Is this fixed in openmpi-1.4-4 ?  According to the spec file, it should be.
Comment 2 Denis Arnaud 2010-02-11 03:59:14 EST
(In reply to comment #1)
> Is this fixed in openmpi-1.4-4 ?  According to the spec file, it should be.    

I have not been able to test that version of OpenMPI, as that version failed to deliver on F12: http://koji.fedoraproject.org/koji/packageinfo?packageID=17

I shall have to test with the testing version (1.4.1): https://admin.fedoraproject.org/updates/F12/FEDORA-2010-0552?_csrf_token=ef624e8429c774dc617dc9f5e9f73d2963e87d6f

If anyone would like to test the fix (on other Fedora versions than F12), it would be nice as well.
Comment 3 Jay Fenlason 2010-02-15 18:54:16 EST
I'm building 1.4.1-2 for F-12.  Can you try it?
http://koji.fedoraproject.org/koji/taskinfo?taskID=1989318
Comment 4 Denis Arnaud 2010-02-16 08:49:15 EST
(In reply to comment #3)
> I'm building 1.4.1-2 for F-12.  Can you try it?
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1989318    

I confirm that this bug has been fixed for that version (1.4.1-2) on x86 architecture. So, we can close that bug. Thanks a lot!
Comment 5 Fedora Update System 2010-02-22 15:01:47 EST
openmpi-1.4.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openmpi-1.4.1-2.fc12
Comment 6 Fedora Update System 2010-03-02 20:56:52 EST
openmpi-1.4.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.